Wednesday, June 2, 2021

FFmpeg: CVE-2020-22034: Out-of-bounds Write

Description
A heap-based Buffer Overflow vulnerability exists FFmpeg 4.2 atlibavfilter/vf_floodfill.c, which might lead to memory corruption and other potential consequences.
Solution(s)
  • misc-no-solution-exists


  • References
  • https://attackerkb.com/topics/cve-2020-22034
  • CVE - 2020-22034
  • https://trac.ffmpeg.org/ticket/8236




  •  

    Copyright © 2020 Cyber Details - Vulnerability Database™

    Thanks for everything Templateism - You should have written the code a little more complicated